For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
API Key

update

PUT
https://api.groundx.ai/api/v1/apikey/:apiKey
PUT
/api/v1/apikey/:apiKey
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.api_key.update(
8 api_key="apiKey",
9 name="ProjectX-Analytics-Key",
10)
200Updated
1{
2 "apiKeys": [
3 {
4 "apiKey": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "created": "2023-10-03T08:59:39.312Z",
6 "name": "ProjectX-Analytics-Key"
7 }
8 ]
9}
Rename an API key.
Was this page helpful?
Previous

delete

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

apiKeystringRequiredformat: "uuid"
The API key being updated.

Request

This endpoint expects an object.
namestringRequired

Response

API key successfully updated
apiKeyslist of objects